// (C) 2001-2024 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.

`timescale 1ns / 100ps

module  slow_clocks
        (
        input   wire  i_clk             , // reset
        input   wire  i_reset_n         , // clock
        output  wire  o_clk_pls_n       , // 
        output  wire  o_clk_pls_p       , // 
        output  wire  o_clk_pls_p_deley , // 
        output  wire  o_slow_clk        , // 
        output  wire  o_clk_div2        , // 
        output  wire  o_clk_div4          // 
        );

//--------------------------------------------------
// Signal defination
//--------------------------------------------------
reg     [9:0]   ctr/* synthesis keep */;
reg             clk_pls_n/* synthesis keep */;
reg             clk_pls_p/* synthesis keep */;
reg             clk_pls_p_deley/* synthesis keep */;
reg             slow_clk_int/* synthesis keep */;

assign  o_clk_pls_n       = clk_pls_n;
assign  o_clk_pls_p       = clk_pls_p;
assign  o_clk_pls_p_deley = clk_pls_p_deley;
assign  o_slow_clk        = !slow_clk_int;
assign  o_clk_div2        = ctr[0];
assign  o_clk_div4        = ctr[1];

//--------------------------------------------------
// Main function body
//--------------------------------------------------
always @(posedge i_clk or negedge i_reset_n)
begin
  if(!i_reset_n)
     begin
     ctr          <= 10'd0;
     slow_clk_int <= 1'b1;
     end
  else if(ctr == 10'd1023)
     begin
     slow_clk_int <= !slow_clk_int;
     clk_pls_n    <= 1'b1;
     ctr          <= 10'd0;
     clk_pls_p    <= 1'b0;
     end
  else if(ctr == 10'd511)
     begin
     slow_clk_int <= !slow_clk_int;
     ctr          <= ctr + 1'b1;
     clk_pls_p    <= 1'b1;
     end
  else if(ctr == 10'd289)
     begin
     ctr             <= ctr + 1'b1;
     clk_pls_p_deley <= 1'b1;
     end
  else
     begin
     clk_pls_n       <= 1'b0;
     ctr             <= ctr + 1'b1;
     clk_pls_p       <= 1'b0;
     clk_pls_p_deley <= 1'b0;
     end
end

endmodule
//------------------------------------------------------------------------------
// end of file
//------------------------------------------------------------------------------