# (C) 2001-2024 Intel Corporation. All rights reserved.
# Your use of Intel Corporation's design tools, logic functions and other 
# software and tools, and its AMPP partner logic functions, and any output 
# files from any of the foregoing (including device programming or simulation 
# files), and any associated documentation or information are expressly subject 
# to the terms and conditions of the Intel Program License Subscription 
# Agreement, Intel FPGA IP License Agreement, or other applicable 
# license agreement, including, without limitation, that your use is for the 
# sole purpose of programming logic devices manufactured by Intel and sold by 
# Intel or its authorized distributors.  Please refer to the applicable 
# agreement for further details.



# +-----------------------------------
# | request TCL package from ACDS 11.0
# | 
package require -exact sopc 11.0
# | 
# +-----------------------------------

# +-----------------------------------
# | module temp_info
# | 
set_module_property NAME temp_info
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property OPAQUE_ADDRESS_MAP true
set_module_property AUTHOR Altera
set_module_property DISPLAY_NAME temp_info
set_module_property TOP_LEVEL_HDL_FILE temp_info.vhd
set_module_property TOP_LEVEL_HDL_MODULE temp_info
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE true
set_module_property ANALYZE_HDL TRUE
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file temp_info.vhd {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock
# | 
add_interface clock clock end
set_interface_property clock clockRate 0

set_interface_property clock ENABLED true

add_interface_port clock clk clk Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point reset
# | 
add_interface reset reset end
set_interface_property reset associatedClock clock
set_interface_property reset synchronousEdges DEASSERT

set_interface_property reset ENABLED true

add_interface_port reset reset_n reset_n Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point avalon_slave_0
# | 
add_interface avalon_slave_0 avalon end
set_interface_property avalon_slave_0 addressUnits WORDS
set_interface_property avalon_slave_0 associatedClock clock
set_interface_property avalon_slave_0 associatedReset reset
set_interface_property avalon_slave_0 bitsPerSymbol 8
set_interface_property avalon_slave_0 burstOnBurstBoundariesOnly false
set_interface_property avalon_slave_0 burstcountUnits WORDS
set_interface_property avalon_slave_0 constantBurstBehavior true
set_interface_property avalon_slave_0 explicitAddressSpan 0
set_interface_property avalon_slave_0 holdTime 0
set_interface_property avalon_slave_0 linewrapBursts false
set_interface_property avalon_slave_0 maximumPendingReadTransactions 0
set_interface_property avalon_slave_0 readLatency 0
set_interface_property avalon_slave_0 readWaitTime 1
set_interface_property avalon_slave_0 setupTime 0
set_interface_property avalon_slave_0 timingUnits Cycles
set_interface_property avalon_slave_0 writeWaitTime 0
set_interface_property avalon_slave_0 ENABLED true
set_interface_property avalon_slave_0 EXPORT_OF ""
set_interface_property avalon_slave_0 PORT_NAME_MAP ""
set_interface_property avalon_slave_0 CMSIS_SVD_VARIABLES ""
set_interface_property avalon_slave_0 SVD_ADDRESS_GROUP ""

add_interface_port avalon_slave_0 chipselect_n chipselect_n Input 1
add_interface_port avalon_slave_0 read_n read_n Input 1
add_interface_port avalon_slave_0 av_data_read readdata Output 32
add_interface_port avalon_slave_0 av_address address Input 4
# | 
# +-----------------------------------

# 
# connection point fpga_core_temp
# 
add_interface fpga_core_temp conduit end
set_interface_property fpga_core_temp associatedClock clock
set_interface_property fpga_core_temp associatedReset reset
set_interface_property fpga_core_temp ENABLED true
set_interface_property fpga_core_temp EXPORT_OF ""
set_interface_property fpga_core_temp PORT_NAME_MAP ""
set_interface_property fpga_core_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_core_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_core_temp fpga_core_temp export Input 32

# 
# connection point fpga_xcvr_tile0_temp
# 
add_interface fpga_xcvr_tile0_temp conduit end
set_interface_property fpga_xcvr_tile0_temp associatedClock clock
set_interface_property fpga_xcvr_tile0_temp associatedReset reset
set_interface_property fpga_xcvr_tile0_temp ENABLED true
set_interface_property fpga_xcvr_tile0_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile0_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile0_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile0_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile0_temp fpga_xcvr_tile0_temp export Input 32

# 
# connection point fpga_xcvr_tile1_temp
# 
add_interface fpga_xcvr_tile1_temp conduit end
set_interface_property fpga_xcvr_tile1_temp associatedClock clock
set_interface_property fpga_xcvr_tile1_temp associatedReset reset
set_interface_property fpga_xcvr_tile1_temp ENABLED true
set_interface_property fpga_xcvr_tile1_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile1_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile1_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile1_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile1_temp fpga_xcvr_tile1_temp export Input 32

# 
# connection point fpga_xcvr_tile2_temp
# 
add_interface fpga_xcvr_tile2_temp conduit end
set_interface_property fpga_xcvr_tile2_temp associatedClock clock
set_interface_property fpga_xcvr_tile2_temp associatedReset reset
set_interface_property fpga_xcvr_tile2_temp ENABLED true
set_interface_property fpga_xcvr_tile2_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile2_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile2_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile2_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile2_temp fpga_xcvr_tile2_temp export Input 32

# 
# connection point fpga_xcvr_tile3_temp
# 
add_interface fpga_xcvr_tile3_temp conduit end
set_interface_property fpga_xcvr_tile3_temp associatedClock clock
set_interface_property fpga_xcvr_tile3_temp associatedReset reset
set_interface_property fpga_xcvr_tile3_temp ENABLED true
set_interface_property fpga_xcvr_tile3_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile3_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile3_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile3_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile3_temp fpga_xcvr_tile3_temp export Input 32

# 
# connection point fpga_xcvr_tile4_temp
# 
add_interface fpga_xcvr_tile4_temp conduit end
set_interface_property fpga_xcvr_tile4_temp associatedClock clock
set_interface_property fpga_xcvr_tile4_temp associatedReset reset
set_interface_property fpga_xcvr_tile4_temp ENABLED true
set_interface_property fpga_xcvr_tile4_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile4_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile4_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile4_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile4_temp fpga_xcvr_tile4_temp export Input 32

# 
# connection point fpga_xcvr_tile5_temp
# 
add_interface fpga_xcvr_tile5_temp conduit end
set_interface_property fpga_xcvr_tile5_temp associatedClock clock
set_interface_property fpga_xcvr_tile5_temp associatedReset reset
set_interface_property fpga_xcvr_tile5_temp ENABLED true
set_interface_property fpga_xcvr_tile5_temp EXPORT_OF ""
set_interface_property fpga_xcvr_tile5_temp PORT_NAME_MAP ""
set_interface_property fpga_xcvr_tile5_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_xcvr_tile5_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_xcvr_tile5_temp fpga_xcvr_tile5_temp export Input 32

# 
# connection point fpga_max_temp
# 
add_interface fpga_max_temp conduit end
set_interface_property fpga_max_temp associatedClock clock
set_interface_property fpga_max_temp associatedReset reset
set_interface_property fpga_max_temp ENABLED true
set_interface_property fpga_max_temp EXPORT_OF ""
set_interface_property fpga_max_temp PORT_NAME_MAP ""
set_interface_property fpga_max_temp CMSIS_SVD_VARIABLES ""
set_interface_property fpga_max_temp SVD_ADDRESS_GROUP ""

add_interface_port fpga_max_temp fpga_max_temp export Input 32
